# gcu::GLMatrix Class Reference

`#include <gcu/matrix.h>`

List of all members.

## Public Member Functions

| GLMatrix ()
virtual | ~GLMatrix ()
double & | operator() (int i, int j)
double * | array ()

## Detailed Description

A 4x4 matrix class used by gcu::Cylinder.

Definition at line 132 of file matrix.h.

## Constructor & Destructor Documentation

gcu::GLMatrix::GLMatrix | ( |  | ) |

Default constructor. Members are not initialized. This constructor is rarely used.

virtual gcu::GLMatrix::~GLMatrix | ( |  | ) | `[virtual]`

The destructor of GLMatrix.

## Member Function Documentation

double& gcu::GLMatrix::operator() | ( | int | i,
|  | int | j |
| ) |  |  | `[inline]`

Parameters:

  | i | the row
  | j | the column

Returns:
  returns the value for row i and column j.

Definition at line 149 of file matrix.h.

double* gcu::GLMatrix::array | ( |  | ) | `[inline]`

Returns:
  a pointer to the array of values.

Definition at line 153 of file matrix.h.

The documentation for this class was generated from the following file:

- matrix.h